LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XUndoManagerListener Interface Reference

implemented by components which want to be notified of changes in the Undo/Redo stacks of an Undo manager. More...

`import"XUndoManagerListener.idl";`

Inheritance diagram for XUndoManagerListener:

## Public Member Functions
void | undoActionAdded ([in] UndoManagerEvent iEvent)
| is called when an undo action is added to the undo stack. More...
void | actionUndone ([in] UndoManagerEvent iEvent)
| is called when the top-most action of the undo stack has been undone. More...
void | actionRedone ([in] UndoManagerEvent iEvent)
| is called when the top-most action of the Redo stack has been re-applied. More...
void | allActionsCleared ([in] ::com::sun::star::lang::EventObject iEvent)
| is called when both the Undo and the Redo stack have been cleared from all Undo actions. More...
void | redoActionsCleared ([in] ::com::sun::star::lang::EventObject iEvent)
| is called when the Redo stack has been cleared. More...
void | resetAll ([in] ::com::sun::star::lang::EventObject iEvent)
| called when the complete undo manager has been reset More...
void | enteredContext ([in] UndoManagerEvent iEvent)
| is called when a new Undo context has been entered. More...
void | enteredHiddenContext ([in] UndoManagerEvent iEvent)
| is called when a new hidden Undo context has been entered. More...
void | leftContext ([in] UndoManagerEvent iEvent)
| is called when an Undo context has been left. More...
void | leftHiddenContext ([in] UndoManagerEvent iEvent)
| is called when a hidden Undo context has been left. More...
void | cancelledContext ([in] UndoManagerEvent iEvent)
| is called when an Undo context has been left, but no actions have been added within this context. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

implemented by components which want to be notified of changes in the Undo/Redo stacks of an Undo manager.

See also
  XUndoManager

Since
  OOo 3.4

## Member Function Documentation

## ◆ actionRedone()

void actionRedone | ( | [in] UndoManagerEvent | iEvent | ) |

is called when the top-most action of the Redo stack has been re-applied.

See also
  XUndoManager::redo

## ◆ actionUndone()

void actionUndone | ( | [in] UndoManagerEvent | iEvent | ) |

is called when the top-most action of the undo stack has been undone.

See also
  XUndoManager::undo

## ◆ allActionsCleared()

void allActionsCleared | ( | [in] ::com::sun::star::lang::EventObject | iEvent | ) |

is called when both the Undo and the Redo stack have been cleared from all Undo actions.

See also
  XUndoManager::clear

## ◆ cancelledContext()

void cancelledContext | ( | [in] UndoManagerEvent | iEvent | ) |

is called when an Undo context has been left, but no actions have been added within this context.

In such a case, the context which has just been left will not contribute to the undo stack, but instead be silently removed. Consequently, the UndoManagerEvent::UndoActionTitle is empty.

See also
  XUndoManager::leaveUndoContext
  leftContext
  leftHiddenContext

## ◆ enteredContext()

void enteredContext | ( | [in] UndoManagerEvent | iEvent | ) |

is called when a new Undo context has been entered.

UndoManagerEvent::UndoActionTitle carries the title of the Undo context, and UndoManagerEvent::UndoContextDepth the number of open Undo contexts, including the one just entered.

See also
  XUndoManager::enterUndoContext

## ◆ enteredHiddenContext()

void enteredHiddenContext | ( | [in] UndoManagerEvent | iEvent | ) |

is called when a new hidden Undo context has been entered.

UndoManagerEvent::UndoActionTitle carries the title of the Undo context, and UndoManagerEvent::UndoContextDepth the number of open Undo contexts, including the one just entered.

See also
  XUndoManager::enterUndoContext

## ◆ leftContext()

void leftContext | ( | [in] UndoManagerEvent | iEvent | ) |

is called when an Undo context has been left.

UndoManagerEvent::UndoActionTitle carries the title of the Undo context, and UndoManagerEvent::UndoContextDepth the number of open Undo contexts, excluding the one just left.

See also
  XUndoManager::leaveUndoContext
  leftHiddenUndocontext
  cancelledContext

## ◆ leftHiddenContext()

void leftHiddenContext | ( | [in] UndoManagerEvent | iEvent | ) |

is called when a hidden Undo context has been left.

UndoManagerEvent::UndoActionTitle is empty, as hidden Undo contexts don't have a title.

See also
  XUndoManager::leaveHiddenUndoContext
  leftContext
  cancelledContext

## ◆ redoActionsCleared()

void redoActionsCleared | ( | [in] ::com::sun::star::lang::EventObject | iEvent | ) |

is called when the Redo stack has been cleared.

See also
  XUndoManager::clearRedo

## ◆ resetAll()

void resetAll | ( | [in] ::com::sun::star::lang::EventObject | iEvent | ) |

called when the complete undo manager has been reset

## ◆ undoActionAdded()

void undoActionAdded | ( | [in] UndoManagerEvent | iEvent | ) |

is called when an undo action is added to the undo stack.

Note that the action must not necessarily be the new top element of the stack: In case there's an open Undo context, UndoManagerEvent::UndoContextDepth will be greater `0`, and the newly added action will be subordinate of the context action.

See also
  XUndoManager::addUndoAction

The documentation for this interface was generated from the following file:

- com/sun/star/document/XUndoManagerListener.idl